﻿using HeuristicLab.Core;
using System.Collections.Generic;

namespace HeuristicLab.Data.MoveVectorData.Interfaces
{
    public interface IMove
    {
        bool Enabled { get; set; }
        bool TryParse(string s);
        void Randomize(IRandom random, int min, int max, int step = 1);
        IEnumerable<IMove> GenerateNeighbours(IRandom random, int min, int max, int step = 1);
        int Apply(ref StackingArea area, ref Stack inputStack, out int realMoves);
    }
}
